> For the complete documentation index, see [llms.txt](https://developers.coindirect.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.coindirect.com/api/channels/list-channel-payments.md).

# List Channel Payments

## List Channel Payments

<mark style="color:blue;">`GET`</mark> `https://api.sandbox.coindirect.com/api/v2/channel/payment?merchantId=:id`

This endpoint allows you to list all channel payments.

#### Query Parameters

| Name       | Type   | Description                                                                               |
| ---------- | ------ | ----------------------------------------------------------------------------------------- |
| offset     | string | This tells us where to start fetching the records                                         |
| max        | string | This limits the number of records returned per page. The default is 10 records            |
| merchantId | string | Your Merchant ID. You can find it on the "Merchant Details" page in your business account |
| fromDate   | string | To list channel payments from date e.g. `2022-07-01`                                      |
| toDate     | string | To list channel payments to date e.g. `2022-07-02`                                        |
| q          | string | Can be UUID, reference, channel address or transaction hash                               |
| status     | string | Channel Payment status                                                                    |

#### Headers

| Name          | Type   | Description                         |
| ------------- | ------ | ----------------------------------- |
| Authorization | string | HAWK Token. See Authentication page |

{% tabs %}
{% tab title="200 Channel payments successfully retrieved." %}

```javascript
[
  {
    "address": "18cZvTB3rr8BRzQru8QVMabJMp4uvGHLMT",
    "channelId": "0c4c6186-f371-4a82-a734-f0aeb1d41af4",
    "dateCreated": 1643207593000,
    "displayAmount": 32.23,
    "displayCurrency": "EUR",
    "displayRate": {
      "base": "BTC",
      "counter": "EUR",
      "rate": 3.223E+4
    },
    "exchangeRate": {
      "base": "BTC",
      "counter": "EUR",
      "rate": 3.223E+4
    },
    "feeAmount": 0.32,
    "feeCurrency": "EUR",
    "hash": "9092ed5fabe5fdddb3b9bfd202451ff57b2c8d83f9fb4943589a21f380e30fc6",
    "lastUpdated": 1643210803000,
    "merchantDisplayName": "Casino",
    "merchantId": "82737577-ae9a-4305-a544-61bef6681f0c",
    "networkFee": {
      "displayAmount": 0E-18,
      "displayCurrency": "EUR",
      "paidAmount": 0E-18,
      "paidCurrency": "BTC"
    },
    "paidAmount": 0.001,
    "paidCurrency": "BTC",
    "reference": "1ca5346d-ba7e-4f82-b51d-c53be4d5b0c9",
    "risk": {
      "alerts": [],
      "level": "LOW",
      "resourceCategory": "UNKNOWN",
      "resourceName": "UNKNOWN"
    },
    "sources": [
      "3G5HoushtPmVPyCwEPf9hLad5xE2MRLVGa"
    ],
    "status": "COMPLETE",
    "tag": null,
    "uuid": "0c9b97aa-fa22-459b-8d3c-a3f97d7c40a5",
    "walletAmount": 32.23,
    "walletCurrency": "EUR"
  }
]
```

{% endtab %}
{% endtabs %}

### Response parameters

| Parameter               | Type   | Description                                                                |
| ----------------------- | ------ | -------------------------------------------------------------------------- |
| `address`               | string | Parent channel's destination address                                       |
| `channelId`             | string | Parent channel's UUID                                                      |
| `dateCreated`           | number | Payment creation date                                                      |
| `displayAmount`         | number | Payment price                                                              |
| `displayCurrency`       | string | Payment currency e.g. `JPY`                                                |
| `displayRate`           | object | Display currency spot rate e.g. EUR/JPY                                    |
| `displayRate.base`      | string | Base currency e.g. `EUR`                                                   |
| `displayRate.counter`   | string | Counter currency e.g. `JPY`                                                |
| `displayRate.rate`      | number | Spot rate                                                                  |
| `exchangeRate`          | object | Wallet currency spot rate                                                  |
| `exchangeRate.base`     | string | Base currency e.g. `ETH`                                                   |
| `exchangeRate.counter`  | string | Counter currency e.g. `EUR`                                                |
| `exchangeRate.rate`     | number | Wallet currency spot rate                                                  |
| `feeAmount`             | number | Fee amount                                                                 |
| `feeCurrency`           | string | Fee currency                                                               |
| `hash`                  | string | Cryptocurrency transaction hash                                            |
| `lastUpdated`           | number | Payment last update date                                                   |
| `merchantId`            | string | Merchant ID                                                                |
| `paidAmount`            | number | The amount of received cryptocurrency                                      |
| `paidCurrency`          | string | Cryptocurrency code                                                        |
| `reference`             | string | Channel reference ID. Payments always inherit parent channel reference ID  |
| `risk`                  | object | Provides risk details after BVNK runs automated tx risk checks on its side |
| `risk.level`            | string | Risk level. Can be `LOW`, `MEDIUM`, `HIGH` or `SEVERE`                     |
| `risk.resourceName`     | string | The resource name that the transaction is connected to                     |
| `risk.resourceCategory` | string | The resource category. E.g. Exchange or Dark Market, etc                   |
| `status`                | string | Payment status                                                             |
| `tag`                   | number | Destination tag (in the case of XRP)                                       |
| `uuid`                  | string | Payment UUID                                                               |
| `walletAmount`          | number | The amount credited to your wallet                                         |
| `walletCurrency`        | string | Wallet currency                                                            |
